<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class NoteHonoraireStatus extends Model
{
    use HasFactory;

    protected  $fillable =
    [
        'status',
        'color'
    ];

    public function noteHonoraire()
    {
        return $this->hasMany(NoteHonoraire::class);
    }

    public function payment()
    {
        return $this->hasMany(Payment::class);
    }

}
